> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/maintenance/system-changelog.md).

# System changelog

You can view or rollback transactions through [Settings](/reference/settings.md) > [Maintenance](/reference/settings/maintenance.md) > [System changelog](/reference/settings/maintenance/system-changelog.md).

### View transaction

Transaction are shown directly in the changelog page.

### Find transaction

1. Click column header for Commit timestamp, Start timestamp, Transaction type or Username
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Export transactions

1. Select the transactions you want to export
2. Click the "Export selected"-button

### View transaction changes

Click the "View changelog"-icon on the transaction you want to view changes for.

### Find transaction change

1. View transaction changes
2. Click column header for Name or Type
3. Type value to search for

### Rollback transaction change

1. View transaction changes
2. Identify the transaction change you want to rollback
3. Click the "Rollback"-icon
4. Confirm rollback

### Bulk rollback transaction changes

1. View transaction changes
2. Select the transaction changes you want to rollback
3. Click "Rollback selected"-icon
4. Confirm rollback

### Export transaction changes

1. View transaction changes
2. Select the transaction changes you want to export
3. Click "Export selected"-button

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/maintenance/system-changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
